import { MailerService } from '@nestjs-modules/mailer';
export declare class emailOtpService {
    private readonly mailerService;
    private readonly logger;
    private get isBypassMode();
    constructor(mailerService: MailerService);
    sendOtp(email: string, otp: string): Promise<any>;
    sendLinkForgotPassword(email: string, link: string): Promise<any>;
    sendMakeVendorEmail(email: string, link: string): Promise<any>;
}
